package sgc.portal.com.com.persistence;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.com.com.model.AuthGrp;
import sgc.portal.com.com.model.GrpPrg;
import sgc.portal.com.com.model.Menu;
import sgc.portal.com.com.model.Program;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


/**
 * 프로그램 목록 매퍼  DAO
 *
 * @author mir(khjang@sgc.co.kr)
 * @version 1.0.0
 * @since  2020. 8. 2.
 */


@Mapper
public interface ComAuthPrgMngMapper {

    List<EasyHashMap<String, Object>> selectComAuthPrgGrpMng(AuthGrp authgrps);

    void insertComAuthPrgMenuMng(Menu menus);    //메뉴저장

    void insertComAuthPrgMng(GrpPrg grpprgs);

    void updateComAuthPrgMng(GrpPrg grpprgs);

    void deleteComAuthPrgMng(GrpPrg grpprgs);

    void deleteComAuthPrgMenuMng(GrpPrg grpprgs);

    List<EasyHashMap<String, Object>> selectComAuthPrgMng(GrpPrg grpprgs);

    List<EasyHashMap<String, Object>> selectComAuthPrgMenuMng(Menu menus);

    List<EasyHashMap<String, Object>> selectComAuthPrgPrgMng(Program prgs);

}

